[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.InsertItem

Inserts an Item into the List.

## Declaration

Source position: comctrls.pp line 1537

`protected procedure TCustomListView.InsertItem(`
`AItem: TListItem`
`); virtual;`

## Arguments

`AItem` |  | Item with the values inserted into the Items for the control.

## Description

Signals the OnInsert event handler (when assigned) using the value in AItem as an argument.

InsertItem is called from the DoInsert method when an overridden method has been implemented in a descendent class and called from ItemInserted.

## See also

TCustomListView.OnInsert |  | Event handler signalled when a list item is added to or inserted in the Items for the control.
TCustomListView.DoInsert |  | Performs actions needed to insert the specified list item.
TCustomListView.ItemInserted |  | Performs actions when a list item has been inserted in the Items collection.
TListItem |  | Represents the items created in TCustomListView and descendants.